> For the complete documentation index, see [llms.txt](https://docs-conversational-ai.syntphony.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-conversational-ai.syntphony.com/api-docs/api-guidelines/management-api/instance-api/parameters-and-variables.md).

# Parameters and Variables

The Parameter API handles global parameters that either affects the current environment, or Bots individually. Bot parameters overrides environment parameters locally.

The Variable API handles variables that either affects the current bots

{% hint style="info" %}
**API SUBPATH**: eva-parameter
{% endhint %}

## Environment Parameters

## POST /org/{orgUUID}/env/{envUUID}/parameters

> Create a new parameter

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Env Parameters","description":"Endpoints for interacting with environment parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/parameters":{"post":{"tags":["Env Parameters"],"summary":"Create a new parameter","operationId":"insert","parameters":[{"name":"orgUUID","in":"path","description":"Represents the id of organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Represents the id of environment","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParameterRequestDTO"}}},"required":true},"responses":{"201":{"description":"Created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ParameterResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"ParameterRequestDTO":{"type":"object","description":"DTO to request create or update parameter/configuration with botUuid, key, value, description and enabled","properties":{"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"},"description":{"type":"string","description":"Parameter's description"},"enabled":{"type":"boolean","description":"Flag that indicates if the parameter is enabled"},"name":{"type":"string"}}},"ParameterResponseDTO":{"type":"object","description":"DTO returned when create or update parameter","properties":{"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"},"description":{"type":"string","description":"Parameter's description"},"enabled":{"type":"boolean","description":"Indicates whether the parameter is enabled or not"},"uuid":{"type":"string","description":"Unique identifier for the parameter"},"data":{"$ref":"#/components/schemas/ParameterDataDTO","deprecated":true,"description":"DTO with data of parameter after creating or updating id, enabled, description, key and value"},"message":{"type":"string","deprecated":true,"description":"Represents the operation status, which can be OK or NOK"},"name":{"type":"string"}}},"ParameterDataDTO":{"type":"object","deprecated":true,"description":"DTO with data of parameter after creating or updating id, enabled, description, key and value","properties":{"uuid":{"type":"string","description":"Parameter's uuid"},"enabled":{"type":"boolean","description":"Flag that indicates if the parameter is enabled"},"description":{"type":"string","description":"Parameter's description"},"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## GET /org/{orgUUID}/env/{envUUID}/parameters/{parameterUUID}

> Retrieve a specific parameter by its UUID

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Env Parameters","description":"Endpoints for interacting with environment parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/parameters/{parameterUUID}":{"get":{"tags":["Env Parameters"],"summary":"Retrieve a specific parameter by its UUID","operationId":"find","parameters":[{"name":"orgUUID","in":"path","description":"Organization UUID","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Environment UUID","required":true,"schema":{"type":"string"}},{"name":"parameterUUID","in":"path","description":"Parameter UUID","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ParameterResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"ParameterResponseDTO":{"type":"object","description":"DTO returned when create or update parameter","properties":{"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"},"description":{"type":"string","description":"Parameter's description"},"enabled":{"type":"boolean","description":"Indicates whether the parameter is enabled or not"},"uuid":{"type":"string","description":"Unique identifier for the parameter"},"data":{"$ref":"#/components/schemas/ParameterDataDTO","deprecated":true,"description":"DTO with data of parameter after creating or updating id, enabled, description, key and value"},"message":{"type":"string","deprecated":true,"description":"Represents the operation status, which can be OK or NOK"},"name":{"type":"string"}}},"ParameterDataDTO":{"type":"object","deprecated":true,"description":"DTO with data of parameter after creating or updating id, enabled, description, key and value","properties":{"uuid":{"type":"string","description":"Parameter's uuid"},"enabled":{"type":"boolean","description":"Flag that indicates if the parameter is enabled"},"description":{"type":"string","description":"Parameter's description"},"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## GET /org/{orgUUID}/env/{envUUID}/v2/parameters

> Endpoint to get parameters from environment

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Environment Parameters V2","description":"Endpoints for interacting with v2 environment parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/v2/parameters":{"get":{"tags":["Environment Parameters V2"],"summary":"Endpoint to get parameters from environment","operationId":"getEnvironmentParameters","parameters":[{"name":"orgUUID","in":"path","description":"It is the id that represents an organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"It is the id that represents an environment","required":true,"schema":{"type":"string"}},{"name":"parameter","in":"query","description":"Parameter key to search only for this","required":false,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ParametersDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}},"deprecated":true}}},"components":{"schemas":{"ParametersDTO":{"type":"object","description":"DTO with reserved key parameters, extensions and list of other parameters (environment or bot)","properties":{"parameters":{"$ref":"#/components/schemas/ReservedParametersDTO","description":"DTO with reserved parameters cockpit version (only to environment), confidence min (only to bot) and timeouts (only to bots)"},"extensions":{"$ref":"#/components/schemas/ExtensionsDTO","description":"DTO if the extensions is enabled or not"},"list":{"type":"array","description":"List of DTO with uuid, key, value, description and enabled of Configuration","items":{"$ref":"#/components/schemas/ParameterDTO"}},"parameter":{"$ref":"#/components/schemas/ParameterDTO","description":"Parameter with uuid, key, value, description and enabled of Configuration. This only will have value when search for specific key"}}},"ReservedParametersDTO":{"type":"object","description":"DTO with reserved parameters cockpit version (only to environment), confidence min (only to bot) and timeouts (only to bots)","properties":{"cockpitVersion":{"type":"string","description":"Cockpit version of the environment. It will be null if it is a request to bot"},"confidenceMin":{"type":"integer","format":"int32","description":"Confidence min of the bot. It will be null if it is a request to environment"},"timeouts":{"$ref":"#/components/schemas/TimeoutsResponseDTO","description":"Timeouts configurations of the bot. It will be null if it is a request to environment"},"maxTokens":{"$ref":"#/components/schemas/MaxTokensResponseDTO","description":"Max tokens configurations of the bot. It will be null if it is a request to environment"}}},"TimeoutsResponseDTO":{"type":"object","description":"Timeouts configurations of the bot","properties":{"genai":{"$ref":"#/components/schemas/TimeoutResponseDTO","description":"Genai timeout configurations"},"al":{"$ref":"#/components/schemas/TimeoutResponseDTO","description":"AL timeout configurations"},"rephrasing":{"$ref":"#/components/schemas/TimeoutResponseDTO","description":"Rephrasing timeout configurations"},"zeroShot":{"$ref":"#/components/schemas/TimeoutResponseDTO","description":"Zero Shot timeout configurations"},"multilanguage":{"$ref":"#/components/schemas/TimeoutResponseDTO","description":"Multilanguage timeout configurations"},"mcp":{"$ref":"#/components/schemas/TimeoutResponseDTO","description":"MCP Server timeout configurations"}}},"TimeoutResponseDTO":{"type":"object","description":"Timeout configurations of the bot","properties":{"min":{"type":"integer","format":"int32","description":"Minimum value of the timeout configuration"},"recommendation":{"type":"integer","format":"int32","description":"Recommendation value of the timeout configuration"},"value":{"type":"integer","format":"int32","description":"Value of the timeout configuration. If the user didn't choose, the value will be same of recommendation"},"max":{"type":"integer","format":"int32","description":"Maximum value of the timeout configuration"}}},"MaxTokensResponseDTO":{"type":"object","description":"Max tokens configurations of the bot","properties":{"zeroShot":{"$ref":"#/components/schemas/MaxTokenResponseDTO","description":"Zero Shot max tokens configurations"},"agentic":{"$ref":"#/components/schemas/MaxTokenResponseDTO","description":"Agentic max tokens configurations"}}},"MaxTokenResponseDTO":{"type":"object","properties":{"min":{"type":"integer","format":"int32","description":"Minimum value of the max tokens configuration"},"value":{"type":"integer","format":"int32","description":"Value of the max tokens configuration. If the user didn't choose, the value will be same of recommendation"},"max":{"type":"integer","format":"int32","description":"Maximum value of the max tokens configuration"}}},"ExtensionsDTO":{"type":"object","description":"DTO if the extensions is enabled or not","properties":{"improveAnswers":{"type":"boolean","description":"If improve answer is enabled or not"},"generateExamples":{"type":"boolean","description":"If generate examples is enabled or not"},"genaiCell":{"type":"boolean","description":"If genai cell is enabled or not"},"rephrase":{"type":"boolean","description":"If rephrase is enabled or not"},"multilanguage":{"$ref":"#/components/schemas/MultilanguageDTO","description":"A data transfer object (DTO) representing the multilanguage enabled/disabled status and properties"},"kai":{"$ref":"#/components/schemas/KAIDTO","description":"DTO with KAI enabled and properties"}}},"MultilanguageDTO":{"type":"object","description":"A data transfer object (DTO) representing the multilanguage enabled/disabled status and properties.","properties":{"enabled":{"type":"boolean","description":"If multilanguage is enabled or not"},"properties":{"type":"object","additionalProperties":{},"description":"Contains the properties of the extension"}}},"KAIDTO":{"type":"object","properties":{"enabled":{"type":"boolean","description":"If Knowledge AI is enabled or not"},"properties":{"type":"object","additionalProperties":{},"description":"It contains the KAI properties"},"availabilityActions":{"type":"array","description":"Representing the availability-related actions that can be applied to a Knowledge AI.","items":{"type":"string","description":"Representing the availability-related actions that can be applied to a Knowledge AI.","enum":["DISABLEABLE"]}}}},"ParameterDTO":{"type":"object","description":"Data Transfer Object for Parameter configuration","properties":{"uuid":{"type":"string","description":"UUID of parameter"},"key":{"type":"string","description":"Key of parameter"},"value":{"type":"string","description":"Value of parameter"},"description":{"type":"string","description":"Description of parameter"},"enabled":{"type":"boolean","description":"Enabled of parameter"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## GET /org/{orgUUID}/env/{envUUID}/parameters/pagination

> Retrieve paginated environment custom parameters

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Env Parameters","description":"Endpoints for interacting with environment parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/parameters/pagination":{"get":{"tags":["Env Parameters"],"summary":"Retrieve paginated environment custom parameters","operationId":"pagination","parameters":[{"name":"orgUUID","in":"path","description":"Organization UUID","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Environment UUID","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Page number","required":false,"schema":{"type":"integer","format":"int32","default":1}},{"name":"linesPerPage","in":"query","description":"Lines per page","required":false,"schema":{"type":"integer","format":"int32","default":5}},{"name":"orderBy","in":"query","description":"Order by field","required":false,"schema":{"type":"string","enum":["name","updatedAt"]}},{"name":"direction","in":"query","description":"Sorting direction","required":false,"schema":{"type":"string","enum":["ASC","DESC"]}},{"name":"searchTerm","in":"query","description":"Optional search term","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ParameterPaginationDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"ParameterPaginationDTO":{"type":"object","description":"Data transfer object for parameter pagination with user and update timestamp.","properties":{"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"},"description":{"type":"string","description":"Parameter's description"},"enabled":{"type":"boolean","description":"Indicates whether the parameter is enabled or not"},"uuid":{"type":"string","description":"Unique identifier for the parameter"},"data":{"$ref":"#/components/schemas/ParameterDataDTO","deprecated":true,"description":"DTO with data of parameter after creating or updating id, enabled, description, key and value"},"message":{"type":"string","deprecated":true,"description":"Represents the operation status, which can be OK or NOK"},"user":{"$ref":"#/components/schemas/UserDTO","description":"User associated with the configuration."},"updateAt":{"type":"integer","format":"int64","description":"Timestamp of the last update in milliseconds."},"name":{"type":"string"}}},"ParameterDataDTO":{"type":"object","deprecated":true,"description":"DTO with data of parameter after creating or updating id, enabled, description, key and value","properties":{"uuid":{"type":"string","description":"Parameter's uuid"},"enabled":{"type":"boolean","description":"Flag that indicates if the parameter is enabled"},"description":{"type":"string","description":"Parameter's description"},"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"}}},"UserDTO":{"type":"object","description":"Data Transfer Object for User Details.","properties":{"uuid":{"type":"string","description":"Unique identifier for the user."},"name":{"type":"string","description":"The name of the user."},"imageUrl":{"type":"string","description":"URL for the user's profile image."}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## GET /org/{orgUUID}/env/{envUUID}/parameters/quicksearch

> Perform a quick search for environment parameters name.

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Env Parameters","description":"Endpoints for interacting with environment parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/parameters/quicksearch":{"get":{"tags":["Env Parameters"],"summary":"Perform a quick search for environment parameters name.","operationId":"quicksearch","parameters":[{"name":"orgUUID","in":"path","description":"Organization UUID","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Environment UUID","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}},{"name":"searchTerm","in":"query","description":"Search term","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Limit for results","required":false,"schema":{"type":"integer","format":"int64","default":6}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## PUT /org/{orgUUID}/env/{envUUID}/parameters/{parameterUUID}

> Updates a parameter for a specific environment in a given organization

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Env Parameters","description":"Endpoints for interacting with environment parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/parameters/{parameterUUID}":{"put":{"tags":["Env Parameters"],"summary":"Updates a parameter for a specific environment in a given organization","operationId":"update","parameters":[{"name":"orgUUID","in":"path","description":"Represents the id of organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Represents the id of environment","required":true,"schema":{"type":"string"}},{"name":"parameterUUID","in":"path","description":"Represents the id of parameter","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParameterRequestDTO"}}},"required":true},"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ParameterResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"ParameterRequestDTO":{"type":"object","description":"DTO to request create or update parameter/configuration with botUuid, key, value, description and enabled","properties":{"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"},"description":{"type":"string","description":"Parameter's description"},"enabled":{"type":"boolean","description":"Flag that indicates if the parameter is enabled"},"name":{"type":"string"}}},"ParameterResponseDTO":{"type":"object","description":"DTO returned when create or update parameter","properties":{"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"},"description":{"type":"string","description":"Parameter's description"},"enabled":{"type":"boolean","description":"Indicates whether the parameter is enabled or not"},"uuid":{"type":"string","description":"Unique identifier for the parameter"},"data":{"$ref":"#/components/schemas/ParameterDataDTO","deprecated":true,"description":"DTO with data of parameter after creating or updating id, enabled, description, key and value"},"message":{"type":"string","deprecated":true,"description":"Represents the operation status, which can be OK or NOK"},"name":{"type":"string"}}},"ParameterDataDTO":{"type":"object","deprecated":true,"description":"DTO with data of parameter after creating or updating id, enabled, description, key and value","properties":{"uuid":{"type":"string","description":"Parameter's uuid"},"enabled":{"type":"boolean","description":"Flag that indicates if the parameter is enabled"},"description":{"type":"string","description":"Parameter's description"},"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## PUT /org/{orgUUID}/env/{envUUID}/parameters/{parameterUUID}/toggle

> Toggle a environment parameter

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Env Parameters","description":"Endpoints for interacting with environment parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/parameters/{parameterUUID}/toggle":{"put":{"tags":["Env Parameters"],"summary":"Toggle a environment parameter","operationId":"toggle","parameters":[{"name":"orgUUID","in":"path","description":"Organization UUID","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Environment UUID","required":true,"schema":{"type":"string"}},{"name":"parameterUUID","in":"path","description":"Represents the id of parameter","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"responses":{"204":{"description":"No content"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## DELETE /org/{orgUUID}/env/{envUUID}/parameters/{parameterUUID}

> Delete a environment parameter

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Env Parameters","description":"Endpoints for interacting with environment parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/parameters/{parameterUUID}":{"delete":{"tags":["Env Parameters"],"summary":"Delete a environment parameter","operationId":"delete","parameters":[{"name":"orgUUID","in":"path","description":"Represents the id of organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Represents the id of environment","required":true,"schema":{"type":"string"}},{"name":"parameterUUID","in":"path","description":"Represents the id of parameter","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## GET /org/{orgUUID}/env/{envUUID}/parameters/version

> Return a specific parameter 'cockpit-version'

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Env Parameters","description":"Endpoints for interacting with environment parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/parameters/version":{"get":{"tags":["Env Parameters"],"summary":"Return a specific parameter 'cockpit-version'","operationId":"getSystemVersion","parameters":[{"name":"orgUUID","in":"path","description":"Represents the id of organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Represents the id of environment","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/VersionDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}},"deprecated":true}}},"components":{"schemas":{"VersionDTO":{"type":"object","description":"DTO with version and message","properties":{"data":{"$ref":"#/components/schemas/VersionDataDTO","description":"DTO with value of version"},"message":{"type":"string","description":"Represents the operation status, which can be OK or NOK"}}},"VersionDataDTO":{"type":"object","description":"DTO with value of version","properties":{"value":{"type":"string","description":"It is the value of version"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## POST /org/{orgUUID}/env/{envUUID}/parameters/validation-name

> Validates the name of a environment parameter

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Env Parameters","description":"Endpoints for interacting with environment parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/parameters/validation-name":{"post":{"tags":["Env Parameters"],"summary":"Validates the name of a environment parameter","operationId":"validationName","parameters":[{"name":"orgUUID","in":"path","description":"Organization UUID","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Environment UUID","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurationSimpleDTO"}}},"required":true},"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"ConfigurationSimpleDTO":{"type":"object","description":"Simple configuration data transfer object containing UUID and name","properties":{"uuid":{"type":"string","description":"Unique identifier of the configuration"},"name":{"type":"string","description":"Name of the configuration"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## Bot Parameters

## POST /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters

> Create a new bot parameter

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Bot Parameters","description":"Endpoints for interacting with bot parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters":{"post":{"tags":["Bot Parameters"],"summary":"Create a new bot parameter","operationId":"insert_2","parameters":[{"name":"orgUUID","in":"path","description":"Represents the id of organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Represents the id of environment","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"Represents the id of bot","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParameterRequestDTO"}}},"required":true},"responses":{"201":{"description":"Created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ParameterResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"ParameterRequestDTO":{"type":"object","description":"DTO to request create or update parameter/configuration with botUuid, key, value, description and enabled","properties":{"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"},"description":{"type":"string","description":"Parameter's description"},"enabled":{"type":"boolean","description":"Flag that indicates if the parameter is enabled"},"name":{"type":"string"}}},"ParameterResponseDTO":{"type":"object","description":"DTO returned when create or update parameter","properties":{"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"},"description":{"type":"string","description":"Parameter's description"},"enabled":{"type":"boolean","description":"Indicates whether the parameter is enabled or not"},"uuid":{"type":"string","description":"Unique identifier for the parameter"},"data":{"$ref":"#/components/schemas/ParameterDataDTO","deprecated":true,"description":"DTO with data of parameter after creating or updating id, enabled, description, key and value"},"message":{"type":"string","deprecated":true,"description":"Represents the operation status, which can be OK or NOK"},"name":{"type":"string"}}},"ParameterDataDTO":{"type":"object","deprecated":true,"description":"DTO with data of parameter after creating or updating id, enabled, description, key and value","properties":{"uuid":{"type":"string","description":"Parameter's uuid"},"enabled":{"type":"boolean","description":"Flag that indicates if the parameter is enabled"},"description":{"type":"string","description":"Parameter's description"},"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## POST /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters/update-reserved

> Endpoint to reserved bot parameters

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Bot Parameters","description":"Endpoints for interacting with bot parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters/update-reserved":{"post":{"tags":["Bot Parameters"],"summary":"Endpoint to reserved bot parameters","operationId":"updateReservedBotParameters_1","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot uuid","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SlideRequestDTO"}}},"required":true},"responses":{"204":{"description":"No content"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"SlideRequestDTO":{"type":"object","description":"DTO with type and value to the slides.","properties":{"type":{"type":"string","description":"The slide type, it can be CONFIDENCE_MIN, GENAI, AL OR REPHRASING."},"value":{"type":"integer","format":"int32","description":"The slide value."}},"required":["type","value"]},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters/{parameterUUID}

> Retrieve a specific parameter by its UUID

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Bot Parameters","description":"Endpoints for interacting with bot parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters/{parameterUUID}":{"get":{"tags":["Bot Parameters"],"summary":"Retrieve a specific parameter by its UUID","operationId":"find_2","parameters":[{"name":"orgUUID","in":"path","description":"Organization UUID","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Environment UUID","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"Bot UUID","required":true,"schema":{"type":"string"}},{"name":"parameterUUID","in":"path","description":"Parameter UUID","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ParameterResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"ParameterResponseDTO":{"type":"object","description":"DTO returned when create or update parameter","properties":{"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"},"description":{"type":"string","description":"Parameter's description"},"enabled":{"type":"boolean","description":"Indicates whether the parameter is enabled or not"},"uuid":{"type":"string","description":"Unique identifier for the parameter"},"data":{"$ref":"#/components/schemas/ParameterDataDTO","deprecated":true,"description":"DTO with data of parameter after creating or updating id, enabled, description, key and value"},"message":{"type":"string","deprecated":true,"description":"Represents the operation status, which can be OK or NOK"},"name":{"type":"string"}}},"ParameterDataDTO":{"type":"object","deprecated":true,"description":"DTO with data of parameter after creating or updating id, enabled, description, key and value","properties":{"uuid":{"type":"string","description":"Parameter's uuid"},"enabled":{"type":"boolean","description":"Flag that indicates if the parameter is enabled"},"description":{"type":"string","description":"Parameter's description"},"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/v2/parameters

> Endpoint to get parameters from bot

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Bot Parameters V2","description":"Endpoints for interacting with v2 bot parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/v2/parameters":{"get":{"tags":["Bot Parameters V2"],"summary":"Endpoint to get parameters from bot","operationId":"getBotParameters","parameters":[{"name":"orgUUID","in":"path","description":"It is the id that represents an organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"It is the id that represents an environment","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"It is the id that represents a bot.","required":true,"schema":{"type":"string"}},{"name":"parameter","in":"query","description":"Parameter key to search only for this","required":false,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ParametersDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"ParametersDTO":{"type":"object","description":"DTO with reserved key parameters, extensions and list of other parameters (environment or bot)","properties":{"parameters":{"$ref":"#/components/schemas/ReservedParametersDTO","description":"DTO with reserved parameters cockpit version (only to environment), confidence min (only to bot) and timeouts (only to bots)"},"extensions":{"$ref":"#/components/schemas/ExtensionsDTO","description":"DTO if the extensions is enabled or not"},"list":{"type":"array","description":"List of DTO with uuid, key, value, description and enabled of Configuration","items":{"$ref":"#/components/schemas/ParameterDTO"}},"parameter":{"$ref":"#/components/schemas/ParameterDTO","description":"Parameter with uuid, key, value, description and enabled of Configuration. This only will have value when search for specific key"}}},"ReservedParametersDTO":{"type":"object","description":"DTO with reserved parameters cockpit version (only to environment), confidence min (only to bot) and timeouts (only to bots)","properties":{"cockpitVersion":{"type":"string","description":"Cockpit version of the environment. It will be null if it is a request to bot"},"confidenceMin":{"type":"integer","format":"int32","description":"Confidence min of the bot. It will be null if it is a request to environment"},"timeouts":{"$ref":"#/components/schemas/TimeoutsResponseDTO","description":"Timeouts configurations of the bot. It will be null if it is a request to environment"},"maxTokens":{"$ref":"#/components/schemas/MaxTokensResponseDTO","description":"Max tokens configurations of the bot. It will be null if it is a request to environment"}}},"TimeoutsResponseDTO":{"type":"object","description":"Timeouts configurations of the bot","properties":{"genai":{"$ref":"#/components/schemas/TimeoutResponseDTO","description":"Genai timeout configurations"},"al":{"$ref":"#/components/schemas/TimeoutResponseDTO","description":"AL timeout configurations"},"rephrasing":{"$ref":"#/components/schemas/TimeoutResponseDTO","description":"Rephrasing timeout configurations"},"zeroShot":{"$ref":"#/components/schemas/TimeoutResponseDTO","description":"Zero Shot timeout configurations"},"multilanguage":{"$ref":"#/components/schemas/TimeoutResponseDTO","description":"Multilanguage timeout configurations"},"mcp":{"$ref":"#/components/schemas/TimeoutResponseDTO","description":"MCP Server timeout configurations"}}},"TimeoutResponseDTO":{"type":"object","description":"Timeout configurations of the bot","properties":{"min":{"type":"integer","format":"int32","description":"Minimum value of the timeout configuration"},"recommendation":{"type":"integer","format":"int32","description":"Recommendation value of the timeout configuration"},"value":{"type":"integer","format":"int32","description":"Value of the timeout configuration. If the user didn't choose, the value will be same of recommendation"},"max":{"type":"integer","format":"int32","description":"Maximum value of the timeout configuration"}}},"MaxTokensResponseDTO":{"type":"object","description":"Max tokens configurations of the bot","properties":{"zeroShot":{"$ref":"#/components/schemas/MaxTokenResponseDTO","description":"Zero Shot max tokens configurations"},"agentic":{"$ref":"#/components/schemas/MaxTokenResponseDTO","description":"Agentic max tokens configurations"}}},"MaxTokenResponseDTO":{"type":"object","properties":{"min":{"type":"integer","format":"int32","description":"Minimum value of the max tokens configuration"},"value":{"type":"integer","format":"int32","description":"Value of the max tokens configuration. If the user didn't choose, the value will be same of recommendation"},"max":{"type":"integer","format":"int32","description":"Maximum value of the max tokens configuration"}}},"ExtensionsDTO":{"type":"object","description":"DTO if the extensions is enabled or not","properties":{"improveAnswers":{"type":"boolean","description":"If improve answer is enabled or not"},"generateExamples":{"type":"boolean","description":"If generate examples is enabled or not"},"genaiCell":{"type":"boolean","description":"If genai cell is enabled or not"},"rephrase":{"type":"boolean","description":"If rephrase is enabled or not"},"multilanguage":{"$ref":"#/components/schemas/MultilanguageDTO","description":"A data transfer object (DTO) representing the multilanguage enabled/disabled status and properties"},"kai":{"$ref":"#/components/schemas/KAIDTO","description":"DTO with KAI enabled and properties"}}},"MultilanguageDTO":{"type":"object","description":"A data transfer object (DTO) representing the multilanguage enabled/disabled status and properties.","properties":{"enabled":{"type":"boolean","description":"If multilanguage is enabled or not"},"properties":{"type":"object","additionalProperties":{},"description":"Contains the properties of the extension"}}},"KAIDTO":{"type":"object","properties":{"enabled":{"type":"boolean","description":"If Knowledge AI is enabled or not"},"properties":{"type":"object","additionalProperties":{},"description":"It contains the KAI properties"},"availabilityActions":{"type":"array","description":"Representing the availability-related actions that can be applied to a Knowledge AI.","items":{"type":"string","description":"Representing the availability-related actions that can be applied to a Knowledge AI.","enum":["DISABLEABLE"]}}}},"ParameterDTO":{"type":"object","description":"Data Transfer Object for Parameter configuration","properties":{"uuid":{"type":"string","description":"UUID of parameter"},"key":{"type":"string","description":"Key of parameter"},"value":{"type":"string","description":"Value of parameter"},"description":{"type":"string","description":"Description of parameter"},"enabled":{"type":"boolean","description":"Enabled of parameter"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters/pagination

> Retrieve paginated custom parameters

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Bot Parameters","description":"Endpoints for interacting with bot parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters/pagination":{"get":{"tags":["Bot Parameters"],"summary":"Retrieve paginated custom parameters","operationId":"pagination_3","parameters":[{"name":"orgUUID","in":"path","description":"Organization UUID","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Environment UUID","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"Bot UUID","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Page number","required":false,"schema":{"type":"integer","format":"int32","default":1}},{"name":"linesPerPage","in":"query","description":"Lines per page","required":false,"schema":{"type":"integer","format":"int32","default":5}},{"name":"orderBy","in":"query","description":"Order by field","required":false,"schema":{"type":"string","enum":["name","updatedAt"]}},{"name":"direction","in":"query","description":"Sorting direction","required":false,"schema":{"type":"string","enum":["ASC","DESC"]}},{"name":"searchTerm","in":"query","description":"Optional search term","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageParameterPaginationDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"PageParameterPaginationDTO":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"totalElements":{"type":"integer","format":"int64"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"numberOfElements":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/ParameterPaginationDTO"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageableObject":{"type":"object","properties":{"unpaged":{"type":"boolean"},"paged":{"type":"boolean"},"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"offset":{"type":"integer","format":"int64"},"sort":{"$ref":"#/components/schemas/SortObject"}}},"SortObject":{"type":"object","properties":{"unsorted":{"type":"boolean"},"sorted":{"type":"boolean"},"empty":{"type":"boolean"}}},"ParameterPaginationDTO":{"type":"object","description":"Data transfer object for parameter pagination with user and update timestamp.","properties":{"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"},"description":{"type":"string","description":"Parameter's description"},"enabled":{"type":"boolean","description":"Indicates whether the parameter is enabled or not"},"uuid":{"type":"string","description":"Unique identifier for the parameter"},"data":{"$ref":"#/components/schemas/ParameterDataDTO","deprecated":true,"description":"DTO with data of parameter after creating or updating id, enabled, description, key and value"},"message":{"type":"string","deprecated":true,"description":"Represents the operation status, which can be OK or NOK"},"user":{"$ref":"#/components/schemas/UserDTO","description":"User associated with the configuration."},"updateAt":{"type":"integer","format":"int64","description":"Timestamp of the last update in milliseconds."},"name":{"type":"string"}}},"ParameterDataDTO":{"type":"object","deprecated":true,"description":"DTO with data of parameter after creating or updating id, enabled, description, key and value","properties":{"uuid":{"type":"string","description":"Parameter's uuid"},"enabled":{"type":"boolean","description":"Flag that indicates if the parameter is enabled"},"description":{"type":"string","description":"Parameter's description"},"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"}}},"UserDTO":{"type":"object","description":"Data Transfer Object for User Details.","properties":{"uuid":{"type":"string","description":"Unique identifier for the user."},"name":{"type":"string","description":"The name of the user."},"imageUrl":{"type":"string","description":"URL for the user's profile image."}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters/quicksearch

> Perform a quick search for bot parameters name.

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Bot Parameters","description":"Endpoints for interacting with bot parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters/quicksearch":{"get":{"tags":["Bot Parameters"],"summary":"Perform a quick search for bot parameters name.","operationId":"quicksearch_3","parameters":[{"name":"orgUUID","in":"path","description":"Organization UUID","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Environment UUID","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"Bot UUID","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}},{"name":"searchTerm","in":"query","description":"Search term","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Limit for results","required":false,"schema":{"type":"integer","format":"int64","default":6}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## PUT /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters/{parameterUUID}/toggle

> Toggle a bot parameter

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Bot Parameters","description":"Endpoints for interacting with bot parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters/{parameterUUID}/toggle":{"put":{"tags":["Bot Parameters"],"summary":"Toggle a bot parameter","operationId":"toggle_2","parameters":[{"name":"orgUUID","in":"path","description":"Organization UUID","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Environment UUID","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"Bot UUID","required":true,"schema":{"type":"string"}},{"name":"parameterUUID","in":"path","description":"Represents the id of parameter","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"responses":{"204":{"description":"No content"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## POST /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters/validation-name

> Validates the name of a bot parameter

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Bot Parameters","description":"Endpoints for interacting with bot parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters/validation-name":{"post":{"tags":["Bot Parameters"],"summary":"Validates the name of a bot parameter","operationId":"validationName_2","parameters":[{"name":"orgUUID","in":"path","description":"Organization UUID","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Environment UUID","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"Bot UUID","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurationSimpleDTO"}}},"required":true},"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"ConfigurationSimpleDTO":{"type":"object","description":"Simple configuration data transfer object containing UUID and name","properties":{"uuid":{"type":"string","description":"Unique identifier of the configuration"},"name":{"type":"string","description":"Name of the configuration"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters/default

> Retrieve default reserved parameters

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Bot Parameters","description":"Endpoints for interacting with bot parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters/default":{"get":{"tags":["Bot Parameters"],"summary":"Retrieve default reserved parameters","operationId":"getDefault","parameters":[{"name":"orgUUID","in":"path","description":"Organization UUID","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Environment UUID","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"Bot UUID","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ReservedParametersDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"ReservedParametersDTO":{"type":"object","description":"DTO with reserved parameters cockpit version (only to environment), confidence min (only to bot) and timeouts (only to bots)","properties":{"cockpitVersion":{"type":"string","description":"Cockpit version of the environment. It will be null if it is a request to bot"},"confidenceMin":{"type":"integer","format":"int32","description":"Confidence min of the bot. It will be null if it is a request to environment"},"timeouts":{"$ref":"#/components/schemas/TimeoutsResponseDTO","description":"Timeouts configurations of the bot. It will be null if it is a request to environment"},"maxTokens":{"$ref":"#/components/schemas/MaxTokensResponseDTO","description":"Max tokens configurations of the bot. It will be null if it is a request to environment"}}},"TimeoutsResponseDTO":{"type":"object","description":"Timeouts configurations of the bot","properties":{"genai":{"$ref":"#/components/schemas/TimeoutResponseDTO","description":"Genai timeout configurations"},"al":{"$ref":"#/components/schemas/TimeoutResponseDTO","description":"AL timeout configurations"},"rephrasing":{"$ref":"#/components/schemas/TimeoutResponseDTO","description":"Rephrasing timeout configurations"},"zeroShot":{"$ref":"#/components/schemas/TimeoutResponseDTO","description":"Zero Shot timeout configurations"},"multilanguage":{"$ref":"#/components/schemas/TimeoutResponseDTO","description":"Multilanguage timeout configurations"},"mcp":{"$ref":"#/components/schemas/TimeoutResponseDTO","description":"MCP Server timeout configurations"}}},"TimeoutResponseDTO":{"type":"object","description":"Timeout configurations of the bot","properties":{"min":{"type":"integer","format":"int32","description":"Minimum value of the timeout configuration"},"recommendation":{"type":"integer","format":"int32","description":"Recommendation value of the timeout configuration"},"value":{"type":"integer","format":"int32","description":"Value of the timeout configuration. If the user didn't choose, the value will be same of recommendation"},"max":{"type":"integer","format":"int32","description":"Maximum value of the timeout configuration"}}},"MaxTokensResponseDTO":{"type":"object","description":"Max tokens configurations of the bot","properties":{"zeroShot":{"$ref":"#/components/schemas/MaxTokenResponseDTO","description":"Zero Shot max tokens configurations"},"agentic":{"$ref":"#/components/schemas/MaxTokenResponseDTO","description":"Agentic max tokens configurations"}}},"MaxTokenResponseDTO":{"type":"object","properties":{"min":{"type":"integer","format":"int32","description":"Minimum value of the max tokens configuration"},"value":{"type":"integer","format":"int32","description":"Value of the max tokens configuration. If the user didn't choose, the value will be same of recommendation"},"max":{"type":"integer","format":"int32","description":"Maximum value of the max tokens configuration"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## PUT /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters/{parameterUUID}

> Update a bot parameter

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Bot Parameters","description":"Endpoints for interacting with bot parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/parameters/{parameterUUID}":{"put":{"tags":["Bot Parameters"],"summary":"Update a bot parameter","operationId":"update_2","parameters":[{"name":"orgUUID","in":"path","description":"Represents the id of organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Represents the id of environment","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"Represents the id of bot","required":true,"schema":{"type":"string"}},{"name":"parameterUUID","in":"path","description":"Represents the id of parameter","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParameterRequestDTO"}}},"required":true},"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ParameterResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"ParameterRequestDTO":{"type":"object","description":"DTO to request create or update parameter/configuration with botUuid, key, value, description and enabled","properties":{"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"},"description":{"type":"string","description":"Parameter's description"},"enabled":{"type":"boolean","description":"Flag that indicates if the parameter is enabled"},"name":{"type":"string"}}},"ParameterResponseDTO":{"type":"object","description":"DTO returned when create or update parameter","properties":{"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"},"description":{"type":"string","description":"Parameter's description"},"enabled":{"type":"boolean","description":"Indicates whether the parameter is enabled or not"},"uuid":{"type":"string","description":"Unique identifier for the parameter"},"data":{"$ref":"#/components/schemas/ParameterDataDTO","deprecated":true,"description":"DTO with data of parameter after creating or updating id, enabled, description, key and value"},"message":{"type":"string","deprecated":true,"description":"Represents the operation status, which can be OK or NOK"},"name":{"type":"string"}}},"ParameterDataDTO":{"type":"object","deprecated":true,"description":"DTO with data of parameter after creating or updating id, enabled, description, key and value","properties":{"uuid":{"type":"string","description":"Parameter's uuid"},"enabled":{"type":"boolean","description":"Flag that indicates if the parameter is enabled"},"description":{"type":"string","description":"Parameter's description"},"key":{"type":"string","description":"Parameter's key"},"value":{"type":"string","description":"Parameter's value"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## DELETE /org/{orgUUID}/env/{envUUID}/parameters/{parameterUUID}

> Delete a environment parameter

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Env Parameters","description":"Endpoints for interacting with environment parameters/settings"}],"paths":{"/org/{orgUUID}/env/{envUUID}/parameters/{parameterUUID}":{"delete":{"tags":["Env Parameters"],"summary":"Delete a environment parameter","operationId":"delete","parameters":[{"name":"orgUUID","in":"path","description":"Represents the id of organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Represents the id of environment","required":true,"schema":{"type":"string"}},{"name":"parameterUUID","in":"path","description":"Represents the id of parameter","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## Environment Extensions

## GET /org/{orgUUID}/env/{envUUID}/extensions/genai-enabled

> Return if the environment has the license to use genai extensions

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Environment Extensions","description":"Endpoints for interacting with environment extensions"}],"paths":{"/org/{orgUUID}/env/{envUUID}/extensions/genai-enabled":{"get":{"tags":["Environment Extensions"],"summary":"Return if the environment has the license to use genai extensions","operationId":"genaiEnabled","parameters":[{"name":"orgUUID","in":"path","description":"Represents the id of organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"Represents the id of environment","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExtensionLicenseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"ExtensionLicenseDTO":{"type":"object","properties":{"hasLicense":{"type":"boolean"}}},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## Bot Extensions

## POST /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/extensions/update-status/{extension}

> Enable or disable genai extensions

```json
{"openapi":"3.1.0","info":{"title":"eva-parameter API Documentation","version":"4.9.0"},"tags":[{"name":"Bot Extensions","description":"Endpoints for interacting with bot extensions"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/extensions/update-status/{extension}":{"post":{"tags":["Bot Extensions"],"summary":"Enable or disable genai extensions","operationId":"toggleGenaiExtension","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot uuid","required":true,"schema":{"type":"string"}},{"name":"extension","in":"path","description":"It is the key extension to toggle. Possible values are: al.enabled, genai.cell.enabled, utterance.completetions.enabled, genai.enhancements.enabled and genai.rephrasing.enabled","required":true,"schema":{"type":"string"}},{"name":"x-request-id","in":"header","description":"It is an identifier provided by the API client that will be used to identify distributed logs.","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExtensionToggleRequestDTO"}}},"required":true},"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Bot's key validation error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"ExtensionToggleRequestDTO":{"type":"object","description":"DTO to enable or disable an extension in a bot.","properties":{"value":{"type":"boolean","description":"Parameter's value"},"properties":{"type":"object","additionalProperties":{},"description":"Contains the properties of the ext
[...]
